Subject: bug#42911: closed (Re: bug#42911: 28.0.50; write_region sometimes extremely very slow)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Jul 2021 20:14:02 +0000

Your bug report

#42911: 28.0.50; write_region sometimes extremely very slow

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42911: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42911
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42911: 28.0.50; write_region sometimes extremely very slow
From: Tino Calancha <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 23 Jul 2021 22:13:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tino Calancha <[email-masked]> writes:

> Recipe:
> emacs -Q ~/save-buffer-slow.txt
> ;; insert few characters and run
> M-: (benchmark-run nil (save-buffer))
>
> ;; Repeat several times: sometimes it takes a reasonable time, but
> ;; in others it takes huge time
> ;; (6-10 s to save a buffer with less that 50 characters)

It has been almost a year since I reported this problem.
Since that time, I haven't seen this issue anymore.
Closing it.

Subject: 28.0.50; write_region sometimes extremely very slow
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Tue, 18 Aug 2020 11:46:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: [email-masked]

Verified in both emacs-27 and emacs-master

Recipe:
emacs -Q ~/save-buffer-slow.txt
;; insert few characters and run
M-: (benchmark-run nil (save-buffer))

;; Repeat several times: sometimes it takes a reasonable time, but
;; in others it takes huge time
;; (6-10 s to save a buffer with less that 50 characters)

It happens randomly.
I have been observed this maybe 1 week.  I don't recall to see this in
my other laptio runinning Debian 10, so it might be OS related?

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.21, cairo version 1.16.0)
 of 2020-08-18 built on localhost.example.com
Repository revision: 9905001e4b0c9dc0a90cefdd9530a90d07a17b99
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: openSUSE Tumbleweed
uname -a: Linux localhost.example.com 5.7.11-1-default #1 SMP Wed Jul 29 09:32:21 UTC 2020 (5015994) x86_64 x86_64 x86_64 GNU/Linux

Recent messages:
You can run the command ‘erase-buffer’ with M-x era RET
user-error: Beginning of history; no preceding item
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(6.688615679 0 0.0)
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(0.076871944 0 0.0)
Saving file /home/calancha/save-buffer-slow.txt...
Wrote /home/calancha/save-buffer-slow.txt
(10.659738934 0 0.0)
Configured using:
 'configure --with-x-toolkit=gtk3'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS PDUMPER

Important settings:
  value of $LC_ALL: 
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-extra seq byte-opt
gv bytecomp byte-compile cconv help-mode easymenu novice time-date
subr-x cl-loaddefs cl-lib benchmark tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 47888 6325)
 (symbols 48 6098 1)
 (strings 32 16202 1003)
 (string-bytes 1 529670)
 (vectors 16 11018)
 (vector-slots 8 152947 12719)
 (floats 8 33 40)
 (intervals 56 201 0)
 (buffers 992 13))